<template>
  <footer class="bg-white">
    <b-container>
      <b-row class="d-flex flex-md-row justify-content-between">
        <b-col
          sm="12"
          md="auto"
        >
          <router-link
            to="/" 
            class="d-flex justify-content-center"
          >
            <img
              :src="require('@/assets/images/logo.png')"
              alt="Logo du site"
            >
          </router-link>
        </b-col>
        <b-col
          sm="12"
          md="auto"
        >
          <p>PAGES</p>
          <ul class="p-0">
            <li
              v-for="cat in categorieName"
              :key="cat"
            >
              <router-link
                :to="{ name:'ListingProduitCat', params: { cat: cat.id }}"
                class="text-capitalize"
              >
                {{ cat.nom }}
              </router-link>
            </li>
          </ul>
        </b-col>
        <b-col
          sm="12"
          md="auto"
        >
          <ul class="p-0">
            <li>
              <a href="#">Mes abonnements</a>
            </li>
            <li>
              <a href="#">Devenir vendeur</a>
            </li>
            <li>
              <a href="#">Contact</a>
            </li>
            <li>
              <a
                href="#"
                class="btn-cta"
              >Télécharger l'application mobile</a>
            </li>
          </ul>
        </b-col>
      </b-row>
    </b-container>
  </footer>
</template>

<script>
import axios from 'axios';

export default {

  setup() {
    return {
    }
  },
  data() {
    let categorieName = [];
    return {
      categorieName
    }
  },

  computed: {
    // on vérifie sur quelle page nous sommes pour afficher l'image du bandeau en fonction
    currentRouteName() {
        return this.$route.name;
    }
  },

  mounted() {

    const url = process.env.VUE_APP_URL;
    // on récupère les catégories à afficher dans la barre de nav
    axios({
          method: 'get',
          url: url + "/api/categories/",
        })
        .then(res =>  {
          let arr = res.data['hydra:member'];
          for (let i = 0; i < arr.length; i++) {
            const categorie = arr[i];
            this.categorieName.push(categorie);
          }
        })
        .catch(err => {
            console.log(err);
        })
  }
}

</script>

<style lang="scss" scoped>

footer {
    border-top: 1px solid gray;
    margin-top: 3rem;
    padding-bottom: 3rem;
}

</style>